*;
*  Center selected data values.
*
*  TO DO: 
*
*    Lines 22, 23, 24, 26, 27, 28, 29, and 30: Add code to 
*          center text
*;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='ProstateCancer.xml' style=XLsansPrinter;

title;
footnote;

*  One worksheet created for each distinct BY value;

proc report data=sample.ProstateCancer nowindows split='*';
  by RX;
  column PatNo Age SZ Status HX EKG BM SBP DBP;

  define PatNo  / display style(Column)=[just=  ];
  define Age    / display style(Column)=[just=  ];
  define SZ     / display style(Column)=[just=  ];
  define Status / display;
  define HX     / display format=boolean. style(Column)=[just=  ];
  define EKG    / display;
  define BM     / display format=boolean. style(Column)=[just=  ];
  define SBP    / display style(Column)=[just=  ];
  define DBP    / display style(Column)=[just=  ];

  compute PatNo;
    * Placeholder for row highlighting; 
    RowNum+1;
    if (mod(RowNum, 2) ne 0)
      then call define(_row_, 'style', 'style=[background=#99ccff]');
  endcomp;

  compute Status;
    * Placeholder for cell highlighting; 
    if (Status eq 'dead - heart or vascular')
      then call define('Status', 'style', 'style=[background=#ff6600]');
  endcomp;

  format RX rx.;

run; quit;

ods tagsets.ExcelXP close;