*;
*  Adjust column widths.
*
*  TO DO: 
*
*    Line 18: Specify the 9 values for ABSOLUTE_COLUMN_WIDTH
*
*    Line 19: Note the value for WIDTH_FUDGE
*;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='ProstateCancer.xml' style=XLsansPrinter;

ods tagsets.ExcelXP options(sheet_interval='bygroup'
                            sheet_label=' '
                            suppress_bylines='yes'
                            autofilter='2-7'
                            absolute_column_width='  '
                            width_fudge='0.58');

title;
footnote;

*  One worksheet created for each distinct BY value;

proc report data=sample.ProstateCancer nowindows split='*';
  by RX;
  column PatNo Age SZ Status HX EKG BM SBP DBP;

  define PatNo  / display style(Column)=[just=center];
  define Age    / display style(Column)=[just=center];
  define SZ     / display style(Column)=[just=center];
  define Status / display;
  define HX     / display format=boolean. style(Column)=[just=center];
  define EKG    / display;
  define BM     / display format=boolean. style(Column)=[just=center];
  define SBP    / display style(Column)=[just=center];
  define DBP    / display style(Column)=[just=center];

  compute PatNo;
    * Placeholder for row highlighting; 
    RowNum+1;
    if (mod(RowNum, 2) ne 0)
      then call define(_row_, 'style', 'style=[background=#99ccff]');
  endcomp;

  compute Status;
    * Placeholder for cell highlighting; 
    if (Status eq 'dead - heart or vascular')
      then call define('Status', 'style', 'style=[background=#ff6600]');
  endcomp;

  format RX rx.;

run; quit;

ods tagsets.ExcelXP close;