*  Suppress the Results Viewer;

ods noresults;

*  Directory for SAS code, data and output - remember trailing slash;

%let SAMPDIR=C:\HOW\DelGobbo\;

*  Library containing the sample data;

libname sample "&SAMPDIR" access=read;

*  Library to store styles and tagsets;

libname mylib "&SAMPDIR";

*  Set the ODS search path for styles and tagsets;

ods path mylib.tmplmst(update)
         sashelp.tmplmst(read);

*  Include recent version of the ExcelXP ODS tagset;

%include "&SAMPDIR.ExcelXP.sas";

*;
*  Create a user-defined style based on the "sansPrinter" 
*  style supplied by SAS.
*;

proc template;
  define style styles.XLsansPrinter;
    parent=styles.sansPrinter;

    style header from header /
      font_size = 10pt
      just      = center
      vjust     = bottom;

  end;
run; quit;

*;
*  Create formats to make drug codes
*  and Boolean values more user-friendly
*;

proc format;

  value rx 1 = 'Placebo'
           2 = '0.2 mg Estrogen'
           3 = '1.0 mg Estrogen'
           4 = '5.0 mg Estrogen';

  value boolean 0 = ' '
                1 = 'Yes';
run; quit;