*;
*  Traffic-light patients that died from heart
*  or vascular problems.
*
*  TO DO: 
*
*    Line 43: Add code to change the BACKGROUND style attribute
*             to #ff6600
*;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='ProstateCancer.xml' style=XLsansPrinter;

title;
footnote;

*  One worksheet created for each distinct BY value;

proc report data=sample.ProstateCancer nowindows split='*';
  by RX;
  column PatNo Age SZ Status HX EKG BM SBP DBP;

  define PatNo  / display;
  define Age    / display;
  define SZ     / display;
  define Status / display;
  define HX     / display format=boolean.;
  define EKG    / display;
  define BM     / display format=boolean.;
  define SBP    / display;
  define DBP    / display;

  compute PatNo;
    * Placeholder for row highlighting; 
    RowNum+1;
    if (mod(RowNum, 2) ne 0)
      then call define(_row_, 'style', 'style=[background=#99ccff]');
  endcomp;

  compute Status;
    * Placeholder for cell highlighting; 
    if (Status eq 'dead - heart or vascular')
      then call define('Status', 'style', 'style=[background=#ff6600]');
  endcomp;

  format RX rx.;

run; quit;

ods tagsets.ExcelXP close;